1. Zaki Ahmed
  2. PowerBuilder
  3. Wednesday, 12 February 2020 18:10 PM UTC

Does PowerBuilder 19 supports or complaint with Oracle 12.2c?

Michael Kramer Accepted Answer Pending Moderation
  1. Wednesday, 12 February 2020 18:37 PM UTC
  2. PowerBuilder
  3. # 1
0
Votes
Undo

Hi Zaki,

Oracle 12.2 covers a wide range of Oracle "releases": 12c, 18c, and 19c.

 (X) => Supported, (-) => Not supported

 Detailed   Brand   PB 2017 R3   PB 2019   PB 2019 R2 (1) 
 12.2.0.1  12c X X X
 12.2.0.2  18c X (2) X (2) X
 12.2.0.3  19c X

(1): PB 2019 R2 still in beta pre-release
(2): Requires installation of latest maintenance release

HTH /Michael

Comment
Well, I'm always amused to see that the Oracle client installer still checks if your monitor at least supports 256 colors :)

Their licensing model: if you hire a single spot in a parking garage with a capacity of 500 parkings, they'll charge you 500 licenses. Their philosophy to justify this, is that "you might have parked in any of those 500 spots".

So yes ... retarded and digging their own grave.

  1. Miguel Leeuwe
  2. Thursday, 13 February 2020 03:20 AM UTC
In all fairness, it is a very good product though, that has to be said, but we are very happy with Tibero and PostGreSQL seems to be a very solid solution.
  1. Miguel Leeuwe
  2. Thursday, 13 February 2020 03:22 AM UTC
@Olan, hats off if you got to understand the license fee. We came to the conclusion that to be on the safe side, we'd have to PAY for a consultant to explain the licensing model to us. Of course we didn't and still got someone from Oracle to explain the model (hence the analogy with the parking garage). There's too many gray areas.
  1. Miguel Leeuwe
  2. Thursday, 13 February 2020 03:25 AM UTC
There are no comments made yet.
Zaki Ahmed Accepted Answer Pending Moderation
  1. Wednesday, 12 February 2020 18:30 PM UTC
  2. PowerBuilder
  3. # 2
0
Votes
Undo

Thanks Chris for the quick response.

Comment
There are no comments made yet.
Chris Pollach @Appeon Accepted Answer Pending Moderation
  1. Wednesday, 12 February 2020 18:25 PM UTC
  2. PowerBuilder
  3. # 3
0
Votes
Undo

Hi Zaki;

  Yes, PB2019 GA (build 2082) is O12C compliant. The latest maintenance release to PB2019 build 2170 makes PB also O18C compliant as well.

HTH  ... Chris

Comment
There are no comments made yet.
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.